xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) Andrea Rossato and David Roundy 2007
License | BSD-style (see xmonad/LICENSE)
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

XMonad.Util.Timer

Contents

- Usage

Description

A module for setting up timers

Synopsis

- startTimer :: Rational -> X TimerId
- handleTimer :: TimerId -> Event -> X (Maybe a) -> X (Maybe a)
- type TimerId = Int

# Usage

This module can be used to setup a timer to handle deferred events. See XMonad.Layout.ShowWName for an usage example.

startTimer :: Rational -> X TimerId #

Start a timer, which will send a ClientMessageEvent after some time (in seconds).

handleTimer :: TimerId -> Event -> X (Maybe a) -> X (Maybe a) #

Given a `TimerId` and an `Event`, run an action when the `Event` has been sent by the timer specified by the `TimerId`

type TimerId = Int #